### Function

# GimpUi prop_hscale_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_hscale_new (
      GObject* config,
      const gchar* property_name,
      gdouble step_increment,
      gdouble page_increment,
      gint digits
    )

#### Description [src]

Creates a horizontal scale to control the value of the specified integer or double property.

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of integer or double property controlled by the scale.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`step_increment`

  Type: `gdouble`

  Step size.

`page_increment`

  Type: `gdouble`

  Page size.

`digits`

  Type: `gint`

  Number of digits after decimal point to display.

#### Return value

Type: `GtkWidget`

A new `GtkScale`.

The caller of the function takes ownership of the data, and is responsible for freeing it.